import { createApp } from "vue";

import "./style.css";
import "./index.css";
import "@/style/global.scss";
import router from "./router";
import App from "./App.vue";

import { createPinia } from "pinia";
import piniaPluginPersist from "pinia-plugin-persist";

// import MainFooter from "./components/footer/index.vue";

import svgIcon from "./components/svg-icon/index.vue";
import "virtual:svg-icons-register";
import ElementPlus from "element-plus";
import "element-plus/dist/index.css";
import zhCn from "element-plus/dist/locale/zh-cn.mjs";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
const pinia = createPinia();
pinia.use(piniaPluginPersist);
const app = createApp(App);

app

  // .component("main-footer", MainFooter)

  .use(pinia)
  .use(router)
  .use(ElementPlus, {
    locale: zhCn,
  })
  .mount("#app");
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
